<html>
<head>
	<title>Mail versturen aan de lijst</title>
</head>
<body>

<?php

ini_set("SMTP", "smtp.chello.nl");
ini_set("smtp_port", 25);
ini_set ("sendmail_from", "burger@leer-php.nl");

if ($_POST["verzendbutton"] != "verzenden" || !$_POST["tekst"]) { 

echo "<h1>Een mail versturen aan de lijst</h1>";

echo "<form action=\"$PHP_SELF\" method=\"post\">";

if ($_POST["verzendbutton"] && !$_POST["onderwerp"]) {
		echo "<font color=\"red\">Vul hier een onderwerp in!</font>";
}
?>
Onderwerp: <input type="text" name="onderwerp" value="<?php echo $_POST["onderwerp"] ?>"><br>

<?php
if ($_POST["verzendbutton"] && !$_POST["tekst"]) {
		echo "<font color=\"red\">Voer een tekst in</font>";
}
?>
<textarea name="tekst" cols=35 rows=10></textarea><br>

<input type="submit" value="verzenden" name="verzendbutton">
</form>

<?php

} else {

$bestandsnaam = "mailadressen.txt";
$adressen = file($bestandsnaam); // Sla bestand op in array

	$afzender = "website@leer-php.nl";

	$aantal_adressen = count($adressen);
	for ($nr=0; $nr < $aantal_adressen; $nr++) {
		mail($adressen[$nr], $_POST["onderwerp"], $_POST["tekst"], "from: $afzender");
	}

	echo "Uw mail met onderwerp ".$_POST["onderwerp"]." en tekst ".$_POST["tekst"]." is verzonden";

}

?>
</body>
</html>
